Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Altera_Forum
Honored Contributor I
2,351 Views

How to program EPCQ4ASI8N for an old Cyclone FPGA

Hi, 

 

 

Is there a way I can program a EPCQ4ASI8N to work with Cyclone I? 

 

 

I have to keep some products which still use Cyclone I FPGA with EPCS4SI8N. 

Due to EPCS4SI8N discontinuation, the EPCQ4ASI8N might be a possible alternative, as advised in PDN1708. 

 

 

My problem is that the Cyclone 1 was supported until the Quartus 10.1 version, and the support for the EPCQ4ASI8N begins from Quartus 17.1. 

 

 

I thought that the solution would be just to take de .pof file, generated by Quartus 10.1, and just program the new device EPCQ4ASI8N with the Quartus 17.1 programer, but I got the following message from Quartus 17.1 programer when I tried to change de device to EPCQ4A: 

"Device EPCQ4A selected for replacement is incompatible with target device EPCS4 associated with programming file..." 

 

 

So I don´t know how to generate the .pof in the old Quartus 10.1 since it does not support EPCQ4A yet. 

 

 

Is there a better way to do that?
0 Kudos
13 Replies
Altera_Forum
Honored Contributor I
324 Views

 

--- Quote Start ---  

Hi, 

 

 

Is there a way I can program a EPCQ4ASI8N to work with Cyclone I? 

 

 

I have to keep some products which still use Cyclone I FPGA with EPCS4SI8N. 

Due to EPCS4SI8N discontinuation, the EPCQ4ASI8N might be a possible alternative, as advised in PDN1708. 

 

 

My problem is that the Cyclone 1 was supported until the Quartus 10.1 version, and the support for the EPCQ4ASI8N begins from Quartus 17.1. 

 

 

I thought that the solution would be just to take de .pof file, generated by Quartus 10.1, and just program the new device EPCQ4ASI8N with the Quartus 17.1 programer, but I got the following message from Quartus 17.1 programer when I tried to change de device to EPCQ4A: 

"Device EPCQ4A selected for replacement is incompatible with target device EPCS4 associated with programming file..." 

 

 

So I don´t know how to generate the .pof in the old Quartus 10.1 since it does not support EPCQ4A yet. 

 

 

Is there a better way to do that? 

--- Quote End ---  

 

 

If you still have Quartus 10.1, you can try two things with the Quartus 10.1: 

1. Use your existing .pof file and program the EPCQ4A using the 10.1 programmer 

2. Generate a new .pof file in the 10.1 programmer for the EPCQ4 flash (without A) and try programming the EPCQ4A device
Altera_Forum
Honored Contributor I
324 Views

Don't you really want to put a .sof file inside a .jic file that is used to program the EPCS device? 

 

For example, I use this tool: 

$(QUARTUS_BIN)/quartus_cpf -c DESIGN.cof  

 

With this contents of the DESIGN.cof file: 

<?xml version="1.0" encoding="US-ASCII" standalone="yes"?> <cof> <eprom_name>EPCS4</eprom_name> <flash_loader_device>EP2C20</flash_loader_device> <output_filename>DESIGN.jic</output_filename> <n_pages>1</n_pages> <width>1</width> <mode>7</mode> <sof_data> <user_name>Page_0</user_name> <page_flags>1</page_flags> <bit0> <sof_filename>DESIGN.sof</sof_filename> </bit0> </sof_data> <version>4</version> <options> <map_file>1</map_file> </options> </cof>  

 

for producing the programming image of the EPCS4 device attached to my CycloneII device. 

 

You will have to change the EPCS type and the FPGA type to match your board specification. 

I am using Quartus 13.0sp1 as that is the last version to support Cyclone II device (and I believe Cyclone I as well).
Altera_Forum
Honored Contributor I
324 Views

Thanks ak6dn, 

 

I tried the way you sugestesd and I got the .jic file it generated, although I don´t have yet any sample of the new device EPCQ4A to test programing it. But at least now I can configure the quartus programmer without problems. 

 

By the way, I also tested to use Quartus 17.1 "convert programing file..." and I also generated .JIC using my .SOF file (which was generate in Quartus 10.1), and configuration for Cyclone I and EPCQ4A. But I still don´t have any EPCQ4A to test programing it. 

Is it also OK to do this way? 

 

Thank you again for your help
Altera_Forum
Honored Contributor I
324 Views

Why not use known EPCS4 compatible third party devices, e.g. Winbond W25X40?

Altera_Forum
Honored Contributor I
324 Views

 

--- Quote Start ---  

Why not use known EPCS4 compatible third party devices, e.g. Winbond W25X40? 

--- Quote End ---  

 

 

Hi. I just have seen also your post in the Thread "epcs discontinuation, looking for replacement", which has a list of EPCS4 compatible third party devices, and I will try to use one of them as well. 

I am particularly interested on ISSI IS25LQ040B-JNLE, because it seems to be fully compatible with EPCS4, according to that post. I hope I can find an other fully compatible third part.  

Thank you very much for your help.
Altera_Forum
Honored Contributor I
324 Views

The ISSI device is compatible according to datasheet analysis, but I didn't yet check in hardware. I verified however that Winbond WX25X16 can be used as a replacement for EPCS1 to EPCS16.

Altera_Forum
Honored Contributor I
324 Views

Hi. When I get the EPCQ4A sample, I will also try to do this way. 

In your option 2, I don´t know how to generate the .pof for EPCQ4 with Quartus 10.1, since in the Assignments->Device->Device and Pin Options -> Configuration -> Configuration device, I can only set it for the options: auto and EPCS1 to EPCS128 devices.  

But anyway, generating a .pof with a newer Quartus version is still an option. 

Thank you.
Altera_Forum
Honored Contributor I
324 Views

I have tested these two parts to substitute EPCS4SI8N, and both of them worked OK in my Cyclone I FPGA. 

- Intel/Alera EPCQ4ASI8N  

- ISSI IS25LQ040B-JNLE 

I generated a .jic file (with Quartus II -> File -> Convert Programing Files) and programed the memories through JTAG. 

Thank you all for the help.
NDao
Beginner
324 Views

If you generated the .jic using Quartus II, that meant you had to choose the old configuration device EPCS4, because the new EPCQ4ASI8N  is not supported in Quartus II.

When programming the new EPCQ4ASI8N  through Jtag with the .jic, did the programmer error out because the device ID did not match?

Thank you in advance for your responses.

 

TJone3
Beginner
324 Views

This may help anyone switching from EPCS1 to EPCQ4A. (and presumably from any compatible EPCS* part)

 

We have a legacy design using a Cyclone II EP2C5T144C8N, originally with an EPCS1 and .pof file generated by Quartus II V12.1.

 

The EPCQ4A fitted and programmed fine using the original .pof file with the Quartus Prime Standard Edition (V16.0.0) standalone programmer. We used an Altera USB Blaster Rev. C cable, and programmed in Active Serial mode.

Radha
Beginner
324 Views

Hi,

I am migrating from EPCS1 part to EPCQ4A part, here am facing the problem while am trying to load the .pof file of EPCS1 device while programming to EPCQ4A. Can you tell me the procedure to program the EPCQ4A device with the old .pof file which i used for EPCS1.

 

I am using Quartus prime 18.0 lite version, USB Blaster Rev.C cable.

 

Thanks & Regards,

Radha.P

john_lee
Beginner
324 Views

Hi,

 

Based my experience and knowlegde, you can just migrate EPCS to EPCQ-A. in Quartus 10.1, you can just create .pof file.

 

Just set EPCQ device when converting to .pof in Quartus 10.1. Then, you should able to program this .pof into programmer 17.1.

Hope this help you.. please like my comment if it working (it should be working.. I test it before)

Thanks..

 

TJone3
Beginner
324 Views

Your mileage may vary but I didn't recompile the old .pof file, the original one that worked for the EPCS worked fine for the EPCQ part.

Reply